// ---------------------------------------------------------------------------------------
//
// 1.	In iTunes connect ensure that you have a unique App ID and when we create the application update with the bundle ID and code signing in Xcode with corresponding provisioning profile.
// 2.	Create a new application and update application information. You can know more about this in apple's Add new apps documentation.
// 3.	Add a new product for in-app purchase in Manage In-App Purchase of your application's page.
// 4.	Ensure you setup the bank details for your application. This needs to be setup for In-App purchase to work. Also create a test user account using Manage Users option in iTunes connect page of your app.
//
// ---------------------------------------------------------------------------------------

unit uMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs,

  DPF.iOS.StoreKit,

  DPF.iOS.BaseControl,
  DPF.iOS.UIButton,
  DPF.iOS.UILabel,
  DPF.iOS.UIView, DPF.iOS.UITextView, DPF.iOS.UIActivityIndicatorView;

type
  TFInAppPurchase = class( TForm )
    DPFUIView1: TDPFUIView;
    DPFButton1: TDPFButton;
    DPFInAppPurchase1: TDPFInAppPurchase;
    DPFTextView1: TDPFTextView;
    DPFActivityIndicatorView1: TDPFActivityIndicatorView;
    procedure DPFButton1Click( Sender: TObject );
    procedure DPFInAppPurchase1ProductsRequest( sender: TObject; Products: array of TProductInfo );
    procedure DPFInAppPurchase1ProductsRequestFinished( sender: TObject );
    procedure DPFInAppPurchase1ProductsRequestError( sender: TObject; Error: string );
    procedure FormShow( Sender: TObject );
  private
    { Private declarations }
  protected
    procedure PaintRects( const UpdateRects: array of TRectF ); override;
  public
    { Public declarations }
  end;

var
  FInAppPurchase: TFInAppPurchase;

implementation

{$R *.fmx}

procedure TFInAppPurchase.DPFButton1Click( Sender: TObject );
begin
  DPFActivityIndicatorView1.StartAnimating;
  DPFInAppPurchase1.FetchAvailableProducts( ['com.tutorialPoints.testApp.testProduct'] );
end;

procedure TFInAppPurchase.DPFInAppPurchase1ProductsRequest( sender: TObject; Products: array of TProductInfo );
begin
  DPFActivityIndicatorView1.StopAnimating;
  if Length( Products ) = 0 then
    DPFTextView1.Text := DPFTextView1.Text + #10#13 + 'No product available!'
  else
    DPFTextView1.Text := DPFTextView1.Text + #10#13 + 'Products count: ' + Length( Products ).ToString( )
end;

procedure TFInAppPurchase.DPFInAppPurchase1ProductsRequestError( sender: TObject; Error: string );
begin
  DPFActivityIndicatorView1.StopAnimating;
  DPFTextView1.Text := DPFTextView1.Text + #10#13 + 'Request Error!' + #10#13 + Error;
end;

procedure TFInAppPurchase.DPFInAppPurchase1ProductsRequestFinished( sender: TObject );
begin
  DPFActivityIndicatorView1.StopAnimating;
  DPFTextView1.Text := DPFTextView1.Text + #10#13 + 'Request Finished!';
end;

procedure TFInAppPurchase.FormShow( Sender: TObject );
begin
  DPFTextView1.Text                 := '';
  DPFActivityIndicatorView1.Visible := false;
end;

procedure TFInAppPurchase.PaintRects( const UpdateRects: array of TRectF );
begin

  { }

end;

end.
